QUnit::TestResultExceptionRegexp Class Reference

Class representing Exception of a particular type and matching regexp for detail. More...

Inheritance diagram for QUnit::TestResultExceptionRegexp:
[legend]

## Public Member Functions

bool | equals (QUnit::AbstractTestResult r)
| Equality operator.
string | toString ()
| returns a string describing the exception type
Public Member Functions inherited from QUnit::TestResultExceptionType
| constructor (string exceptionType)
| creates the object from the exception arguments More...

## Additional Inherited Members

Public Attributes inherited from QUnit::TestResultExceptionType
string | m_exceptionType
| corresponds to the `"err"` key of ExceptionInfo (the first value of a throw statement)

## Detailed Description

Class representing Exception of a particular type and matching regexp for detail.